import request from '@/utils/request'

// 获取库位信息
export function listStorageLocation(query) {
  return request({
    url: '/storageLocation/storageLocation/lyList',
    method: 'get',
    params: query
  })
}

// 校验库位是否被领用
export function checkStorageLocation(data) {
  return request({
    url: '/storageLocation/storageLocation/checklyStorageLocation',
    method: 'post',
    data: data
  })
}

// 清除库位领用缓存
export function clearLocationLyCacheKey(data) {
  return request({
    url: '/storageLocation/storageLocation/clearLocationLyCacheKey',
    method: 'post',
    data: data
  })
}

// 确认完成认领
export function confirmStorageLocation(data) {
  return request({
    url: '/storageLocation/storageLocation/confirmStorageLocation',
    method: 'post',
    data: data
  })
}
